import { a as PaletteOptions, P as Palette } from './types-1693a3d6.js';
import { a as ThemeOptions, T as Theme } from './types-dffcbd05.js';
import * as _mui_system from '@mui/system';
import { shouldForwardProp } from '@mui/system';

declare function createPalette(palette?: PaletteOptions): Palette;

declare function createTheme(options?: ThemeOptions): Theme;

declare const defaultTheme: Theme;

declare const rootShouldForwardProp: (prop: PropertyKey) => boolean;
declare const slotShouldForwardProp: typeof shouldForwardProp;
declare const styled: _mui_system.CreateMUIStyled<Theme>;

declare function useTheme(): Theme;

export { slotShouldForwardProp as a, createPalette as b, createTheme as c, defaultTheme as d, rootShouldForwardProp as r, styled as s, useTheme as u };
